io.undertow.server.handlers.resource

## Interface PathResourceManager.ETagFunction

Enclosing class:
  PathResourceManager

    public static interface PathResourceManager.ETagFunction

### Method Summary

All Methods Instance Methods Abstract Methods
`ETag` `generate(Path path)` Generates an `ETag` for the provided `Path`.

### Method Detail

#### generate

    ETag generate(Path path)

Generates an `ETag` for the provided `Path`.

Parameters:
  `path` - Path for which to generate an ETag
Returns:
  ETag representing the provided path, or null